Support » Themes and Templates » Evolve Lite 3.3.0 issues

  • Resolved PongGod

    (@ponggod)



    Since applying the most recent theme update, now every one of my posts displays, “?php edit_post_link( __( ‘EDIT’, ‘evolve’ ), ” ); ?>” between the heading and the body.

Viewing 7 replies - 1 through 7 (of 7 total)
  • Moderator stephencottontail

    (@stephencottontail)

    I can’t reproduce this. Can you post a link to a page that shows the issue?

    OK, I just discovered that I only see this when I’m logged into the site. Other users who come to the site apparently won’t see it.

    Moderator stephencottontail

    (@stephencottontail)

    Aha, found it. On lines 567-569 of index.php, there’s this code:

    <?php if ( current_user_can( 'edit_post', $post->ID ) ): ?>
      ?php edit_post_link( __( 'EDIT', 'evolve' ), '<span class="edit-post edit-attach">', '</span>' ); ?>
    <?php endif; ?>

    The PHP opening tag on line 568 is malformed. It should be this:

    <?php edit_post_link( __( 'EDIT', 'evolve' ), '<span class="edit-post edit-attach">', '</span>' ); ?>

    If you edit the theme’s files directly, you’ll lose this change if the theme is updated in the future. However, since further theme updates will hopefully fix this issue, it shouldn’t be a problem to go ahead and directly edit index.php.

    Nice catch!

    uwebest

    (@uwebest)

    Hi, I’ve the same problem as well in the theme version 3.4.4. I’ve just checked the index.php, I haven’t found that map-code there.

    Here’s is an example for the problem http://steuerberateralfeld.de/category/informationen/

    Hi. Maybe you’ve found the error, but I found the same error in these files:

    ./wp-content/themes/evolve/search.php:263:
    ?php edit_post_link( __( ‘EDIT’, ‘evolve’ ), ‘<span class=”edit-post edit-attach”>’, ‘</span>’ ); ?>

    ./wp-content/themes/evolve/archive.php:259:
    ?php edit_post_link( __( ‘EDIT’, ‘evolve’ ), ‘<span class=”edit-post edit-attach”>’, ‘</span>’ ); ?>

    ./wp-content/themes/evolve/author.php:228:
    ?php edit_post_link( __( ‘EDIT’, ‘evolve’ ), ‘<span class=”edit-post edit-attach”>’, ‘</span>’ ); ?>

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Evolve Lite 3.3.0 issues’ is closed to new replies.